org.eclipse.emf.cdo.explorer.checkouts

## Interface CDOCheckoutManager.CheckoutStateEvent

- All Superinterfaces:
    IEvent
  Enclosing interface:
    CDOCheckoutManager

      public static interface CDOCheckoutManager.CheckoutStateEvent
      extends IEvent

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOCheckout` | `getCheckout()`
    `CDOCheckout.State` | `getNewState()`
    `CDOCheckout.State` | `getOldState()`
    `CDOCheckoutManager` | `getSource()`

- - ### Method Detail

    - #### getSource

          CDOCheckoutManager getSource()

      Specified by:
        `getSource` in interface `IEvent`

    - #### getCheckout

          CDOCheckout getCheckout()

    - #### getOldState

          CDOCheckout.State getOldState()

    - #### getNewState

          CDOCheckout.State getNewState()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html